Conversion of existing mailboxes fails silently

Bug #293207 reported by Peter Pavlovich on 2008-11-03
60
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Evolution
Won't Fix
Critical
evolution (Debian)
New
Unknown
evolution (Ubuntu)
Low
Ubuntu Desktop Bugs
Intrepid
Low
Ubuntu Desktop Bugs
evolution-data-server (Ubuntu)
Low
Ubuntu Desktop Bugs
Intrepid
Low
Ubuntu Desktop Bugs

Bug Description

Binary package hint: evolution

I have about 1.5 gigabytes in mail folders. Everything worked fine under Ubuntu 8.04. I backed up my mail through Evolution's backup function from the main menu of Evolution while still under 8.04. I then installed Ubuntu 8.10, brought up the new Evolution and attempted to restore from backup when prompted to do so under the new Evolution. The app would unpack the backup file and then proceed to attempt to convert the mailbox files from version 22 to 24 (sqlite). The conversion dialog would show a progress bar which constantly stayed at 0% although the name of the mailbox file being processed did change from time to time so there appeared to be some activity (i.e. it did not "freeze"). However it took an extraordinary amount of time. I let it run for 15 or more hours. Finally I checked it and the dialog box was gone. I attempted to bring up evolution again and this time the conversion dialog box was displayed immediately and it appeared to try to go through the conversion process yet again. I let if complete again (another 12-15 hours) and attempted to bring up evolution a third time. Again, the conversion dialog came up and the process began to repeat a third time. I killed evolution at that point and am filing this bug report.

Again, note that there was no indication of error and that progress bar constantly remained at 0% throughout.

I tried to run gconf and set the version number of the app to 2.24.0 as I read this was a work around that some folks had luck with but that did not help.

I am now without the use of my primary mail application and have had to resort to using the web interface to my mail account at my ISP. Any assistance would be appreciated!

Best regards,

Peter Pavlovich
<email address hidden>

WORKAROUND:

Test packages are available at https://launchpad.net/~hggdh2/+archive. Please install them and report back.

Sebastien Bacher (seb128) wrote :

thank you for your bug report, the issue is likely an upstream one, could you open the bug on bugzilla.gnome.org too where the people writting the software will read it?

Changed in evolution:
assignee: nobody → desktop-bugs
importance: Undecided → Low
Roger Lancefield (rlancefield) wrote :

I have the same issue that Peter has described above. I copied my 46 MB Evolution backup (made on Hardy with all the latest updates applied) to a machine running a clean install of Intrepid and experienced similar events to those Peter has described.

When attempting to start Evolution for the first time under Intrepid I used the application's initialization wizard to locate my backup and restore it. The result was a brief display of the following dialog:

http://farm4.static.flickr.com/3003/3003590641_551257e899_o.png

followed by the silent fail Peter describes above. All subsequent attempts to start Evolution have failed in the same way. The dialog box visible in the image above flashes (very) briefly, and Evolution dies silently. This issue has persisted across system restarts and I'm currently unable to start the Evolution client.

I have the latest Intrepid updates installed as of the time (BST) and date visible in the system tray in the image.

Regards to all

(PS. Having no access to my mail, calendar or contacts under Intrepid means that the "Importance" status of this issue is definitely high, if not critical, for me.)

Download full text (3.5 KiB)

Hi Roger, I have entered a bug report in the upstream project. Please see
this link for further info ...

http://bugzilla.gnome.org/show_bug.cgi?id=559153

Please let me know if you find a work-around!

Regards,

Peter

On Tue, Nov 4, 2008 at 9:24 PM, Roger Lancefield <email address hidden>wrote:

> I have the same issue that Peter has described above. I copied my 46 MB
> Evolution backup (made on Hardy with all the latest updates applied) to
> a machine running a clean install of Intrepid and experienced similar
> events to those Peter has described.
>
> When attempting to start Evolution for the first time under Intrepid I
> used the application's initialization wizard to locate my backup and
> restore it. The result was a brief display of the following dialog:
>
> http://farm4.static.flickr.com/3003/3003590641_551257e899_o.png
>
> followed by the silent fail Peter describes above. All subsequent
> attempts to start Evolution have failed in the same way. The dialog box
> visible in the image above flashes (very) briefly, and Evolution dies
> silently. This issue has persisted across system restarts and I'm
> currently unable to start the Evolution client.
>
> I have the latest Intrepid updates installed as of the time (BST) and
> date visible in the system tray in the image.
>
> Regards to all
>
> (PS. Having no access to my mail, calendar or contacts under Intrepid
> means that the "Importance" status of this issue is definitely high, if
> not critical, for me.)
>
> --
> Conversion of existing mailboxes fails silently
> https://bugs.launchpad.net/bugs/293207
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "evolution" source package in Ubuntu: New
>
> Bug description:
> Binary package hint: evolution
>
> I have about 1.5 gigabytes in mail folders. Everything worked fine under
> Ubuntu 8.04. I backed up my mail through Evolution's backup function from
> the main menu of Evolution while still under 8.04. I then installed Ubuntu
> 8.10, brought up the new Evolution and attempted to restore from backup when
> prompted to do so under the new Evolution. The app would unpack the backup
> file and then proceed to attempt to convert the mailbox files from version
> 22 to 24 (sqlite). The conversion dialog would show a progress bar which
> constantly stayed at 0% although the name of the mailbox file being
> processed did change from time to time so there appeared to be some activity
> (i.e. it did not "freeze"). However it took an extraordinary amount of time.
> I let it run for 15 or more hours. Finally I checked it and the dialog box
> was gone. I attempted to bring up evolution again and this time the
> conversion dialog box was displayed immediately and it appeared to try to go
> through the conversion process yet again. I let if complete again (another
> 12-15 hours) and attempted to bring up evolution a third time. Again, the
> conversion dialog came up and the process began to repeat a third time. I
> killed evolution at that point and am filing this bug report.
>
> Again, note that there was no indication of error and that progress bar
> constantly remained at 0% throughout.
>
> I tried t...

Read more...

Changed in evolution:
status: New → Triaged
Roger Lancefield (rlancefield) wrote :

Thanks Peter,

I've added an edited version of my comment above to the GNOME bugzilla report you've created. (I also included information about the hardware I'm running Intrepid on).

If I happen to find a fix or workaround I'll of course report back here :)

Regards

Sebastien Bacher (seb128) wrote :

upstream has patches to try, does people there know how to build patched version to try the change?

Roger Lancefield (rlancefield) wrote :

Hi Sebastien,

I confess, I've never manually patched anything before, but I'm willing to give it a go. Where do I go to grab the patches? I'm googling patch application now, but any specific pointers or tips would be welcome.

C de-Avillez (hggdh2) wrote :

I am building test packages for Intrepid with this fix. I will add a comment when they are available.

Changed in evolution:
assignee: desktop-bugs → hggdh2
status: Triaged → In Progress
C de-Avillez (hggdh2) wrote :

@All: the tests packages are available at https://launchpad.net/~hggdh2/+archive. The web page gives basic instructions on how to set up Synaptics/apt-get to access the packages. This fix is for Intrepid *only*.

*BOTH* Evolution and Evolution-Data-Server *must* be upgraded for the fix to (hopefully) work. This means you should accept *all* updates (Evo, E-D-S, and related libraries) from the PPA.

This build also includes a proposed fix for bug 293207. Of course, if any of you also got hit by it, I would appreciate comments on the above bug.

description: updated
Jerson (jerson) wrote :

I had the same problem. (0 % progress bar)
I tried the test packages that hggdh proposed, I updated Evolution without errors, but when I tried to open it, the process stoped at 16%. I Waited for 1 hour, I restarted the computer, tried again and stoped at 15%. I don't know if is something to do with my accounts, I had IMAP and POP account as well.

C de-Avillez (hggdh2) wrote :

@jerson: thank you for the feedback. I have passed it on to upstream; we should have a new version of the patch soon, and I will, again, build a new test package.

C de-Avillez (hggdh2) wrote :

@all: upstream would like to have a stacktrace when this happens.

Please install the evolution-data-server and evolution .dgb packages from my PPA, and try again as follows, from a terminal:

1. type 'evolution --force-shutdown'

this will close all the evolution components.

2. type 'sudo apt-get install gdb'

(to install the GNU debugger, if necessary)

3. type 'gdb /usr/bin/evolution'

to start evolution under GDB. GDB will start, and it will print some lines; then it will stop at the 'gdb>' prompt. At this point

4. type 'run'

Evolution will then be executed, and it will state an upgrade is necessary, etc. Wait until no progress is being achieved. Then, on the terminal running Evolution, press CTRL-C (press the CTRL key and, while it is pressed, also press the 'C' key; case is not important). This will send an interrupt signal to GDB. GDB will then print out the prompt again. Now

5. type 'thread apply all bt'

this will print a stacktrace. This stacktrace can take some full screens to be shown, but GDB will stop at every full screen. Please copy the screen contents to a file (or here), and press 'Enter' for the next screen. Copy all of then here.

Unfortunately I cannot test it -- I have been running the new code for quite a long time now.

Thank you.

C de-Avillez (hggdh2) wrote :

@all: a new version of the patch -- 2.24.2.1-0ubuntu1ppa2 -- is now available at my PPA. Please test & report back. *ALL* Evo-related packages must be upgraded.

Thank you.

C de-Avillez (hggdh2) wrote :

Sigh. Evolution itself will be 0ubuntu1ppa3. I hope ;-). Sorry. A string mismatch that I thought had been corrected upstream was regressed.

Jerson (jerson) wrote :

I tried the new version of the patch (2.24.2.1-0ubuntu1ppa2)
Not luck at all. It came back to the same stage that before: (Migrating 0%) Then the windows does not respond.
Using the patch before of this, the progress stopped at 15%.
Now not even starts.

ubuntu 8.10 32 bit

dardar (dardar) wrote :

I am also having this problem on a virtual i386 Intrepid machine in VMWare Fusion on a Macbook with an Intel Core2 Duo processor.
I generated a backup of my Evolution email on a Hardy virtual machine and tried to restore from the backup to a freshly installed Intrepid machine (fully up to date). The restore got stuck at 0% in the Migrating window as described by others above.
I tried the packages from hggdh's PPA, but my experience was the same as jerson's.
I have subscribed to the bug, and I will be happy to try any new packages as they are generated. Thanks!
(For now, I'm going back to my Hardy machine.)

C de-Avillez (hggdh2) wrote :

All (and jerson & David Roise specially): I am sorry -- the full patch did not make it to my PPA: it failed to build for Evolution (but did build for E-D-S). One of the errors depends on a constant that the author seems to have forgotten to define... and I am not sure what value should this constant have.

I noted this upstream, and I am waiting for the the patch author to correct the patch. As soon as the corrected patch is available I will rebuild Evolution (and THEN the patch will be really available for test).

I unfortunately ran out of time to add this note yesterday (finishing up a contract engagement, travel back home & travel out again today).

C de-Avillez (hggdh2) wrote :

Updated 2.24.1.1-0ubuntu1ppa3 is available for Intrepid. *all* of Evolution (evo, e-d-s, and related libraries) should be upgraded.

Sorry for the delay -- got busy getting settled in Toronto, and on the first days of the new contract.

Of course, after I added in this build I found Seb has released for Intrepid-proposed 2.24.2... so there I go again... I will rebase & publish updated test packages as soon as possible for 2.24.2. Meanwhile -- upstream is waiting on results from testing to commit (or re-correct) this issue. Please test.

Jerson (jerson) wrote :

I tried again and stoped at 15%. (2.24.1.1-0ubuntu1ppa3)
ubuntu 8.10 32 bit

C de-Avillez (hggdh2) wrote :

@Jerson: could you please get a GDB stacktrace? If you can, here's how:

1. make sure you installed both .dbg packages (evolution-dbg and evolution-data-server-dbg) from my PPA;
2. try the conversion; wait until it stops progressing;
3. open a terminal;
4. on the terminal, run
    gdb -p `pidof evolution`

(note the back-ticks `);
5. after gdb has initialised, and you have the 'gdb>' prompt, type
   thread apply all bt
6. please copy & paste the output here.

dardar (dardar) wrote :

I tried the ppa3 versions and didn't have any luck either (trying to restore in Intrepid from a backup made in Hardy). Do the folks who are upgrading directly from Hardy to Intrepid also have this issue? I did a fresh installation of Intrepid on a Macbook running VMWare Fusion and then tried to import the backup from a separate virtual machine I have been running with Hardy. Didn't work either from the standard packages or from the ones provided by hggdh.

I'm surprised there aren't a lot of other complaints about this from other users. Are there problems converting Evolution mailboxes during an UPGRADE from Hardy to Intrepid? Maybe I'll just try doing it that way.

Thanks for your help, hggdh.

C de-Avillez (hggdh2) wrote :

Why we do not see more people affected... beats me. I have been running the new code since very early in the development cycle, and I do not remember hitting this issue. Of course, I was hit by many others, including losing all local mail (as a result of the changes that force the migration). I do not know if this is a specific issue, or a generic one (but I tend to a specific, for a series of reasons).

David, I would really appreciate if you could get a stacktrace from a conversion that is hanging (see two comments above for how to).

C de-Avillez (hggdh2) wrote :

BTW -- on GDB, you can use 'thread apply all bt full'. This will also print out the arguments to functions.

C de-Avillez (hggdh2) wrote :

Upstream comment:

In Peter's case, I dont see a hang/block in the thread. Its going fine. It
might take ~7 minutes before and with Sankar's patch, it should take pretty
less. Still need to see the duplicate mails issue, not siure, if Sankar's thing
fixes it.

We really need a stacktrace, folks.

Jerson (jerson) wrote :

OK, Its working now. This is what I did:
I made a new backup of my evolution emails in Hardy. Then I tried to import them in Fedora 10. With Fedora 10 I had exactly the same behaviour (stopped at 0%) but it gave a bug report. I decided to delete .evolution from my Home. I uninstalled and reinstalled evolution. After of that I tried to open Evolution and worked perfectly. That was with fedora 10.
So I did the same with ubuntu 8.10 but before of that I did the "GDB stacktrace" that hggdh asked. I have attached the result here.
After of that, I deleted .evolution from my Home, I uninstalled and reinstalled evolution. Then the migration was successfully, it took a few seconds only. Now is working good.

Jerson (jerson) wrote :

I have attached the "Evolution Fedora 10 bug report" when I had the same problem.

Peter Pavlovich (pavlovich) wrote :
Download full text (3.3 KiB)

Greetings,

I have applied all of the patches available with no change in status. In
order to use evolution at all, I deleted all meta info files as well as all
of the index files. I then restarted Evolution. I now have access to
Evolution and all of my email. However, now when I attempt to retrieve
email, it is EXTREMELY slow -- almost unusable. I don't know what else to
try now. Any suggestions?

Peter

On Thu, Nov 27, 2008 at 7:11 AM, hggdh <email address hidden> wrote:

> Why we do not see more people affected... beats me. I have been running
> the new code since very early in the development cycle, and I do not
> remember hitting this issue. Of course, I was hit by many others,
> including losing all local mail (as a result of the changes that force
> the migration). I do not know if this is a specific issue, or a generic
> one (but I tend to a specific, for a series of reasons).
>
> David, I would really appreciate if you could get a stacktrace from a
> conversion that is hanging (see two comments above for how to).
>
> --
> Conversion of existing mailboxes fails silently
> https://bugs.launchpad.net/bugs/293207
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Evolution Mail & Calendaring Tool: Unknown
> Status in "evolution" source package in Ubuntu: In Progress
>
> Bug description:
> Binary package hint: evolution
>
> I have about 1.5 gigabytes in mail folders. Everything worked fine under
> Ubuntu 8.04. I backed up my mail through Evolution's backup function from
> the main menu of Evolution while still under 8.04. I then installed Ubuntu
> 8.10, brought up the new Evolution and attempted to restore from backup when
> prompted to do so under the new Evolution. The app would unpack the backup
> file and then proceed to attempt to convert the mailbox files from version
> 22 to 24 (sqlite). The conversion dialog would show a progress bar which
> constantly stayed at 0% although the name of the mailbox file being
> processed did change from time to time so there appeared to be some activity
> (i.e. it did not "freeze"). However it took an extraordinary amount of time.
> I let it run for 15 or more hours. Finally I checked it and the dialog box
> was gone. I attempted to bring up evolution again and this time the
> conversion dialog box was displayed immediately and it appeared to try to go
> through the conversion process yet again. I let if complete again (another
> 12-15 hours) and attempted to bring up evolution a third time. Again, the
> conversion dialog came up and the process began to repeat a third time. I
> killed evolution at that point and am filing this bug report.
>
> Again, note that there was no indication of error and that progress bar
> constantly remained at 0% throughout.
>
> I tried to run gconf and set the version number of the app to 2.24.0 as I
> read this was a work around that some folks had luck with but that did not
> help.
>
> I am now without the use of my primary mail application and have had to
> resort to using the web interface to my mail account at my ISP. Any
> assistance would be appreciated!
>
> Best regards,
>
> Peter Pavlovich
> <email address hidden>...

Read more...

C de-Avillez (hggdh2) wrote :

Hi Peter,

Weird. Did you also delete the folders.db files (they will be under ~/.evolution/mail?

./local
./vfolder
./<protocol>/<account> , as many as email providers you have

If you did not -- *before* doing that -- please close evolution, and then, on a terminal, issue 'evolution --force-shutdown'. I would also take a backup.

The SQLite data is basically stored in the folders.db, but I wonder if deleting the *.cmeta and *.ibex.index* and leaving the folders.db files might be the cause of your issue. Also, it may be that the partial move may have hosed the folders.db files.

dardar (dardar) wrote :
Download full text (3.4 KiB)

hggdh,

Here's a stacktrace on my system when the restore hangs at the Migrating step:

Thread 2 (Thread 0xb5020b90 (LWP 11889)):
#0 0xb80b2430 in __kernel_vsyscall ()
#1 0xb6a7033b in read () from /lib/tls/i686/cmov/libc.so.6
#2 0xb6a09dae in _IO_file_underflow () from /lib/tls/i686/cmov/libc.so.6
#3 0xb6a0d23a in __underflow () from /lib/tls/i686/cmov/libc.so.6
#4 0xb6a096c8 in ?? () from /lib/tls/i686/cmov/libc.so.6
#5 0xb6a0bb58 in _IO_sgetn () from /lib/tls/i686/cmov/libc.so.6
#6 0xb69ff000 in fread () from /lib/tls/i686/cmov/libc.so.6
#7 0xb7baaba4 in camel_file_util_decode_fixed_int32 (in=0x85d5058,
    dest=0x1c8b36e0) at /usr/include/bits/stdio2.h:287
#8 0xb7e3ac0c in message_info_load (s=0x8313678, in=0x85d5058)
    at camel-folder-summary.c:3157
#9 0xb5830fe3 in message_info_load (s=0x8313678, in=0x85d5058)
    at camel-mbox-summary.c:477
#10 0xb7e38d41 in camel_folder_summary_migrate_infos (s=0x8313678)
    at camel-folder-summary.c:1194
#11 0xb5f3cb78 in migrate_folders (store=0x82702c0, is_local=1, fi=0x83139b8,
    acc=0xb5f83991 "On This Computer", ex=0xbf9b2c5c, done=0xbf9b2c6c,
    nth_folder=0xb5020318, total_folders=9) at em-migrate.c:2875
#12 0xb5f3ccc5 in migrate_folders_to_db_thread (migrate_dbs=0xbf9b2c58)
    at em-migrate.c:2929
#13 0xb6b6202f in ?? () from /usr/lib/libglib-2.0.so.0
#14 0xb7a1650f in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#15 0xb6a807ee in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb6452940 (LWP 11875)):
#0 0xb80b2430 in __kernel_vsyscall ()
#1 0xb6a75f77 in poll () from /lib/tls/i686/cmov/libc.so.6
#2 0xb6b3ac32 in ?? () from /usr/lib/libglib-2.0.so.0
#3 0xb6b3af61 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4 0xb5f3c914 in migrate_to_db () at em-migrate.c:2975
#5 0xb5f3ea9b in em_migrate (
    evolution_dir=0x83260a8 "/home/david/.evolution", major=2, minor=22,
    revision=0, ex=0xbf9b2f24) at em-migrate.c:3122
#6 0xb5f4e9ef in impl_upgradeFromVersion (servant=0x82aed04, major=2,
    minor=22, revision=0, ev=0xbf9b3128) at mail-component.c:1075
#7 0xb808c576 in _ORBIT_skel_small_GNOME_Evolution_Component_upgradeFromVersion (_o_servant=0x82aed04, _o_retval=0x0, _o_args=0xbf9b2fd8, _o_ctx=0x0,
    _o_ev=0xbf9b3128,
    _impl_upgradeFromVersion=0xb5f4e990 <impl_upgradeFromVersion>)
    at Evolution-common.c:56
#8 0xb75d6740 in ORBit_c_stub_invoke () from /usr/lib/libORBit-2.so.0
#9 0xb808e045 in GNOME_Evolution_Component_upgradeFromVersion (
    _obj=0x837f140, major=2, minor=22, revision=0, ev=0xbf9b3128)
    at Evolution-stubs.c:88
#10 0x080539ce in e_shell_attempt_upgrade (shell=0x828d5b0) at e-shell.c:620
#11 0x08053fb8 in e_shell_construct (shell=0x828d5b0,
    iid=0x805e1fc "OAFIID:GNOME_Evolution_Shell:2.24",
    startup_line_mode=E_SHELL_STARTUP_LINE_MODE_CONFIG) at e-shell.c:697
#12 0x08054127 in e_shell_new (
    startup_line_mode=E_SHELL_STARTUP_LINE_MODE_CONFIG,
    construct_result_return=0xbf9b3218) at e-shell.c:745
#13 0x0805d070 in idle_cb (uris=0x0) at main.c:332
#14 0xb6b357c1 in ?? () from /usr/lib/libglib-2.0.so.0
#15 0xb6b376f8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#16 0xb...

Read more...

C de-Avillez (hggdh2) wrote :

all: new version of the patch available on my PPA.

dardar (dardar) wrote :

Well I gave it another go a couple nights ago, but still had no joy, even with the new packages. I was working from a relatively freshly installed and up to date Intrepid virtual machine within VMWare Fusion on a MacBook. I deleted my .evolution folder and then restarted Evolution to generate a fresh .evolution folder. I then installed hggdh's new patch from PPA. (I didn't completely uninstall Evolution first. Not sure whether that would have made a difference.) I then tried to restore a fresh backup of my settings/email from my old Hardy virtual machine--which also lives within VMWare Fusion. Unfortunately, the restore step still did not complete. After killing the Evolution process, I saw that there were large Inbox and other files in my .evolution folder, so I tried deleting the index files within the .evolution folder and restarting. It looked like the migration was working, but it wound up getting hung at 11% completion. I let it sit for a half an hour or more but finally killed it again.

I wound up taking a deep breath and simply running an upgrade of my old Hardy virtual machine to Intrepid. That worked like a charm. The migration took a while when I first started Evolution, but at least it completed. My email within the Intrepid machine is now working great. I still have my Intrepid test machine and am willing to try other things on that, but I'm up and running again in Intrepid on my old virtual machine, so I don't have a lot of incentive to fool around with this any more. Not sure whether it's relevant, but my old virtual machine is 64-bit, and the new one is 32-bit. Could that affect whether or not a back-up is able to be restored???

Dave

Changed in evolution:
status: Unknown → In Progress
Pausanias (pausanias) wrote :

I believe that this IS a 32-bit to 64-bit issue. My 32 to 64 bit evolution restore has this problem. Evolution crashes while importing the mail boxes. A 64- to 64-bit restore does not result in this crash and the settings get imported properly.

dardar (dardar) wrote :

Might be, although keep in mind that I had the problems going in the other direction: backup was made on a 64-bit Hardy system, and I was restoring to a new 32-bit Intrepid system. I don't know enough about the differences to know whether or not this would be an issue. Still, you're probably right that this could be important. (It may also explain why upgrades seem to work fine, since by definition, these will always be either 32 to 32 or 64 to 64.)

James (skoona) wrote :
Download full text (4.8 KiB)

I too have this evolution migration problem. I backed up my settings on a Fedora 8 x86_32 paltform and performed a bare metal install of Ubuntu Intrepid 8.10 x86_64 on the same hardware. Started evolution, started a restore from the backup, and it did the silent fail scenario.

Reading this report, I added the source for the ppa patches, updated my machine and stopped the background tasks ( # evolution --force-shutdown). Removed the .evolution directory and started evolution then proceeded to restore the fedora.generation backup file; again it unpacked the backup file, started converting the folders, then failed silently.

I then opened a console window, and started evolution - again it failed, but I got error messages:

** jscott@vserv:~$ evolution
(evolution:19600): camel-WARNING **: camel_exception_get_id called with NULL parameter.
GLib-ERROR **: /build/buildd/glib2.0-2.18.2/glib/gmem.c:136: failed to allocate 31774537744 bytes
aborting...
Aborted
** jscott@vserv:~$

Here is a listing of my backup file:

** jscott@vserv:~$ ll Downloads/evolution-backup-20090109.tar.gz
-rw-r--r-- 1 jscott jscott 360324196 2009-01-09 22:44 Downloads/evolution-backup-20090109.tar.gz
** jscott@vserv:~$

Here is a gdb listing:

(no debugging symbols found)
... trimmed ...
(no debugging symbols found)

(evolution:19657): camel-WARNING **: camel_exception_get_id called with NULL parameter.
[New Thread 0x40d57950 (LWP 19667)]
[Thread 0x40d57950 (LWP 19667) exited]
[New Thread 0x41558950 (LWP 19668)]
[Thread 0x41558950 (LWP 19668) exited]
[New Thread 0x41558950 (LWP 19669)]

GLib-ERROR **: /build/buildd/glib2.0-2.18.2/glib/gmem.c:136: failed to allocate 31774537744 bytes
aborting...

Program received signal SIGABRT, Aborted.
[Switching to Thread 0x41558950 (LWP 19669)]
0x00007fdd8e40ffd5 in raise () from /lib/libc.so.6
(gdb) thread apply all bt

Thread 4 (Thread 0x41558950 (LWP 19669)):
#0 0x00007fdd8e40ffd5 in raise () from /lib/libc.so.6
#1 0x00007fdd8e411b43 in abort () from /lib/libc.so.6
#2 0x00007fdd8e792d9e in g_logv () from /usr/lib/libglib-2.0.so.0
#3 0x00007fdd8e792e33 in g_log () from /usr/lib/libglib-2.0.so.0
#4 0x00007fdd8e79148a in g_malloc () from /usr/lib/libglib-2.0.so.0
#5 0x00007fdd987230e0 in ?? () from /usr/lib/libcamel-provider-1.2.so.14
#6 0x00007fdd82f1931e in ?? () from /usr/lib/evolution-data-server-1.2/camel-providers/libcamellocal.so
#7 0x00007fdd98721573 in camel_folder_summary_migrate_infos () from /usr/lib/libcamel-provider-1.2.so.14
#8 0x00007fdd88a94ad2 in ?? () from /usr/lib/evolution/2.24/components/libevolution-mail.so
#9 0x00007fdd88a94c26 in ?? () from /usr/lib/evolution/2.24/components/libevolution-mail.so
#10 0x00007fdd8e7b2264 in ?? () from /usr/lib/libglib-2.0.so.0
#11 0x00007fdd958763ea in start_thread () from /lib/libpthread.so.0
#12 0x00007fdd8e4c3c6d in clone () from /lib/libc.so.6
#13 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fdd9bb80790 (LWP 19657)):
#0 0x00007fdd8e4ba206 in poll () from /lib/libc.so.6
#1 0x00007fdd8e78c3a8 in ?? () from /usr/lib/libglib-2.0.so.0
#2 0x00007fdd8e78c6cb in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3 0x00007fdd88a948cc in ?? () from /usr/li...

Read more...

Jerson (jerson) wrote :

1 month ago I had the same problem, but last night after a clean installation and update of Intrepid 64 bit, the migration from Hardy 64 bit of my 800 MB emails with Evolution was perfect!. I did not use any of the workarounds to do it. Just a simple update after installation. I guess they already fix it.
Like I said, for me the process worked nicely.
Thanks

Intrepid 64 bit

James (skoona) wrote :

It works now!

I installed a clean Intrepid x86 (32 bit), updated it, and restored sucessfully my Fedora 8 evolution backup. I then created a new backup file. I moved this file to my 64bit intrepid platform. Before attempting a restore I removed the current '.evolution' directory, then SUCCESSFULLY restored the newest backup file.

The state of my machine is Intrepid x86_64, and the patches from this thread.

James,

C de-Avillez (hggdh2) wrote :

upstream has just released 2.24.3, with the fix for this issue included. We should have it in a few days.

Changed in evolution:
status: In Progress → Fix Committed
assignee: hggdh2 → desktop-bugs
Steve Langasek (vorlon) wrote :

Accepted into intrepid-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in evolution:
status: New → Fix Committed
Changed in evolution-data-server:
status: New → Fix Committed
Changed in evolution:
assignee: nobody → desktop-bugs
importance: Undecided → Low
Changed in evolution-data-server:
assignee: nobody → desktop-bugs
importance: Undecided → Low
status: New → Fix Committed
assignee: nobody → desktop-bugs
importance: Undecided → Low
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package evolution-data-server - 2.24.3-0ubuntu1

---------------
evolution-data-server (2.24.3-0ubuntu1) intrepid-proposed; urgency=low

  * New upstream version:
    Bug Fixes:
    - #451734: Weather calendar getting wrong data for Blythe, California
    - #545834: IMAP summary headers are not updated on full message download
    - #546637: Mail opened from the "Unread mails" displays empty list
               (lp: #275952)
    - #552986: Fix for a crash in pop3_connect
    - #554182: GSSAPI not working with 2.24.0 (lp: #285520)
    - #555230: Autocompletion crash on broken vCard
    - #557348: Search folders with "Include threads" do not update reliably
    - #558744: Fix for a crash when started in offline mode (lp: #292637)
    - #558883: Evolution 2.24 is terribly slow with large IMAP folders
               (lp: #292739)
    - #558926: Unread message count in virtual folders is wrong (lp: #291881)
    - #559153: Migration fixes from Evolution 2.22 to Evolution 2.24
               (lp: #293207)
    - #559272: Infinite loop using a CalDAV source
    - #561081: "Moving" emails is broken
    - #561561: Use sufficiently large buffers for strftime
    - #562200: Left click of mouse disables calendar
    - #562228: Login to exchange fails if "mailbox" is filled manually in the config wizard
    - #564339: IMAP syncing performs too much local I/O
    - #564541: Fix for a crash doing a search in vFolders
    - #564954: "Match All" search folder shows no messages
    - #209514: Evolution Groupwise missing mails
    - #435632: Fix for a crash when moving contacts to a different addressbook
    - #440265: Groupwise Address Book Contact Lists Are Not Saved
    - #446290: GW Parallel clients & (un)read counts problems
    - #447121: Fix for a memory corruption in GroupWise
    - #448079: Instability in GroupWise on x86_64
    - #449916: Loss of data in Messages related to shared memos
               and Assigned tasks
    - #455939: Fix for a deadlock in evolution-data-server
    - #462575: Evolution does not honor the "Check for new messages
               in all folders" setting for GroupWise SOAP accounts

 -- Sebastien Bacher <email address hidden> Mon, 12 Jan 2009 15:25:20 +0100

Changed in evolution-data-server:
status: Fix Committed → Fix Released
Sebastien Bacher (seb128) wrote :

the new version is in jaunty now

Changed in evolution-data-server:
status: Fix Committed → Fix Released
Changed in evolution:
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Martin Booker (mabooker76) wrote :

Trying to go in the 'other direction'. Evolution 2.23 on 64-bit laptop to new Ubuntu 8.10 build on 32-bit desktop. The Migration from evolution.backup.tar.gz stalls at 11%. Deleted .evolution/ and I believe I have updated from the patched sources per previous post instructions. I have looked at the backup file and it seems fine.

martin@martin-desktop:~$ evolution
** Message:
 Google Group Not found
Setting up initial mail tree
addressbook_migrate (0.0.0)
** (evolution:8800): DEBUG: mailto URL command: evolution %s
** (evolution:8800): DEBUG: mailto URL program: evolution
** Message: Checking /home/martin/evolution-backup.tar.gz
.evolution/
** Message: First result 0
.evolution/backup-restore-gconf.xml
** Message: Second result 0
** Message: Sanity check result 1:0 0
** Message: Restoring from the folder /home/martin/evolution-backup.tar.gz
** Message: evolution --force-shutdown
Shutting down evolution-exchange-storage (Evolution Calendar Exchange backend / Evolution Addressbook Exchange backend)
Shutting down evolution-data-server-2.24 (Evolution Calendar file and webcal backend / Evolution Addressbook file backend)
Shutting down evolution-alarm-notify (Evolution Calendar alarm notification service)
** Message: mv /home/martin/.evolution/ /home/martin/.evolution-old/
** Message: mv /home/martin/.camel_certs ~/.camel_certs_old
** Message: cd /home/martin && gzip -cd '/home/martin/evolution-backup.tar.gz'| tar xf -
** Message: gconftool-2 --load /home/martin/.evolution/backup-restore-gconf.xml
** Message: rm -rf /home/martin/.evolution/backup-restore-gconf.xml
** Message: rm -rf /home/martin/.evolution-old/
** Message: rm -rf /home/martin/.camel_certs_old
** Message: rm /home/martin/.evolution/.running
rm: cannot remove `/home/martin/.evolution/.running': No such file or directory
** Message: evolution
martin@martin-desktop:~$
(evolution:8906): camel-WARNING **: camel_exception_get_id called with NULL parameter.

Output from 'ps ax':

 8905 pts/0 S 0:00 sh -c evolution
 8906 pts/0 Sl 7:16 evolution
 8912 ? Sl 0:00 /usr/lib/evolution/evolution-data-server-2.24 --oaf-a
 8916 ? Sl 0:00 /usr/lib/evolution/2.24/evolution-exchange-storage --
 8923 ? Sl 0:00 /usr/lib/evolution/2.24/evolution-alarm-notify --oaf-
 8946 pts/1 Ss 0:00 bash

process 8906 continues to climb for as long as I allow it.

Let me know what other information I can provide.

Thanks,

NoOp (glgxg) wrote :

Please reopen this bug. I've just updated several machines from hardy to intrepid to jaunty (updated today) without checking Evolution in between (intrepid phase) and get:

Migrating Folders
The summary format of the Evolution mailbox folders has
been moved to SQLite since Evolution 2.24.
Please be patient while Evolution migrates your folders...

One has been on 16% for three hours, the other on 13% for two hours, and if you click off either one and then back the boxes are grey/empty with only the 'Migrating' window title. Both mailboxes are less than 10MB.

I havetried 'sudo apt-get install --reinstall evolution evolution-data-server', tried restoring from a previous hardy evolution-backup.tar.gz, and nothing is working. System Monitor shows Evolution, evolution-alarm-notify, evolution-data-server-2.26, and evolution-exchange-storage sleeping.

On the hardy systems that were updated, evolution was:
$ apt-cache policy evolution
evolution:
  Installed: 2.22.3.1-0ubuntu1
  Candidate: 2.22.3.1-0ubuntu1
  Version table:
 *** 2.22.3.1-0ubuntu1 0
        500 http://archive.ubuntu.com hardy-updates/main Packages
        100 /var/lib/dpkg/status
     2.22.2-0ubuntu1.2 0
        500 http://archive.ubuntu.com hardy-security/main Packages
     2.22.1-0ubuntu3 0
        500 http://archive.ubuntu.com hardy/main Packages
$ apt-cache policy evolution-data-server
evolution-data-server:
  Installed: 2.22.3-0ubuntu3
  Candidate: 2.22.3-0ubuntu3
  Version table:
 *** 2.22.3-0ubuntu3 0
        500 http://archive.ubuntu.com hardy-updates/main Packages
        100 /var/lib/dpkg/status
     2.22.1-0ubuntu2 0
        500 http://archive.ubuntu.com hardy/main Packages

Resolution is *critical* as I can't continue to upgrade any further systems (mine or my customers) without first resolving this issue. Please let me know if there I can provide any additional information.

Sebastien Bacher (seb128) wrote :

Could you comment on bugzilla.gnome.org about your issues? There is no evolution hacker on launchpad

NoOp (glgxg) wrote :

Done.

Changed in evolution:
status: In Progress → Won't Fix
Changed in evolution:
importance: Unknown → Critical
John Moseby (moseby) wrote :

So where does this leave Evolution's future in Ubuntu? This bug has put a hard stop on my LTS migration.

I found this bug when doing user data migration via the LTS upgrade scenario. I'm moving users from a 8.04 machine to a freshly installed 10.04 machine and encountered this issue as predicted by ctenorman in the gnome lanchpad. I have not found a path that successfully starts evolution on the new system with the users existing mail intact. I've done the delete all the index/summary/cmeta/camel/gnome2 files, and the backup/restore chants discussed without success.

Unless a solution presents itself soon, I'll be migrating users to Thunderbird or some other mailer.

Hugh Saunders (hughsaunders) wrote :

I'm also doing 8.04 --> 10.04 migrations, some user's mailboxes have been fine, while others refuse to migrate.

Changed in evolution (Debian):
status: Unknown → New

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Peter

Peter Pavlovich
Principal Engineer at Kronos
Greater Boston Area

Confirm that you know Peter Pavlovich:
https://www.linkedin.com/e/hzwroz-gxawdwvs-24/isd/5487960147/UBPlmopM/?hs=false&tok=1DZqK6FqjJj541

--
You are receiving Invitation to Connect emails. Click to unsubscribe:
http://www.linkedin.com/e/hzwroz-gxawdwvs-24/ht-ZD4-3QNE0CxS6EEPCbFb3O9c5jIyVKqa83vX/goo/293207%40bugs%2Elaunchpad%2Enet/20061/I1909723319_1/?hs=false&tok=3jTCrfmz_Jj541

(c) 2011 LinkedIn Corporation. 2029 Stierlin Ct, Mountain View, CA 94043, USA.

tags: removed: verification-needed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.